import 'package:dartz/dartz.dart';
import '../../../core/error/failures.dart';
import '../../entities/contribution.dart';
import '../../repositories/contribution_repository.dart';

class GetUserContribution {
  final ContributionRepository repository;

  GetUserContribution(this.repository);

  Future<Either<Failure, Contribution>> call(String accountSequence) async {
    return await repository.getUserContribution(accountSequence);
  }
}
